Subject: Re: [PATCH 3/5 v2] Add the platform device support with RapidIO to MPC8641HPCN platform.

From: Segher Boessenkool <[email-masked]>
Date: Thu, 28 Jun 2007 20:26:13 +0200

> Of course, looking at the device tree, rapidio is a device, not a bus,
> because it does not have a device_type and it does not have any 
> children
> of its own.

It's a device _of course_, but it's also a bus parent, since
it has a "#address-cells" not equal to zero (and, if this used
real OF, it would have decode-unit and encode-unit methods).
A quite empty bus perhaps heh (in this device tree, anyway).

Segher